/* SFONDO */
body {
  background: linear-gradient(to bottom right, black, #2e2e2e);
  background-attachment: fixed;
  min-height: 100vh;
  margin: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding-left: 5%;
}

/* PARTE  DELLA NAVBAR */
.navbar {
  background: black !important;
  height: auto;
}
.navbar-brand {
  height: 130px;
  width: auto;
  display: block;
  margin-left: -70px;
}

/* TITOLI */
.title-container {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  color: white;
  margin-top: 81px;
}

.title-container h1 {
  font-size: 130px;
  font-family: "Cantata One", sans-serif;
}

.title-container p {
  font-size: 20px;
  font-family: "Cantata One", sans-serif;
  color: #b87fed;
}

/* IMMAGINE DEL PC */
.PC {
  width: 600px;
  height: auto;
  margin-left: 10%;
  margin-top: 10%;
}

/* I BOTTONI DELLA NAVBAR */
.bottoni {
  color: white;
  text-decoration: none;
  font-size: 15px;
  border: none;
  background: none;
  font-family: "Cantata One", sans-serif;
  position: relative;
  margin-right: 20px;
  margin-bottom: 40px;
}

.bottoni::before,
.bottoni::after {
  content: "";
  width: 0%;
  height: 2px;
  background: #5c36f4;
  display: block;
  transition: 0.5s;
  position: absolute;
}

.bottoni::before {
  left: 0;
  bottom: 0;
}

.bottoni::after {
  right: 0;
  top: 0;
}

.bottoni:hover::after,
.bottoni:hover::before {
  width: 100%;
}

/* TITOLO - CHI SIAMO */
.team-title {
  text-align: center;
  font-size: 70px;
  color: white;
  margin-bottom: 30px;
  font-family: "Cantata One", sans-serif;
  width: 100%;
  display: block;
  margin-top: 10%;
}

/* CARD - CHI SIAMO - TEAM */
.card {
  position: relative;
  width: 220px;
  height: 320px;
  background: #212529;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 25px;
  font-weight: bold;
  border-radius: 15px;
  cursor: pointer;
  margin: 0 auto;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
  text-align: center;
}
.card-container {
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 5%;
  flex-wrap: wrap;
  width: 90%;
  margin-right: 5%;
  margin-left: 5%;
}

.card::before,
.card::after {
  position: absolute;
  content: "";
  width: 15%;
  height: 15%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 25px;
  font-weight: bold;
  background-color: #b87fed;
  transition: all 0.5s;
}

.card::before {
  top: 0;
  right: 0;
  border-radius: 0 15px 0 100%;
}

.card::after {
  bottom: 0;
  left: 0;
  border-radius: 0 100% 0 15px;
}

.card:hover::before,
.card:hover:after {
  width: 100%;
  height: 100%;
  border-radius: 15px;
  transition: all 0.5s;
}

.card:nth-child(1):hover::after {
  content: "Dacoco Jireh";
}

.card:nth-child(2):hover::after {
  content: "Habib Korolos";
}

.card:nth-child(3):hover::after {
  content: "Brambilla Andrea";
}

.card:nth-child(4):hover::after {
  content: "Fabbri Tommaso";
}

.card:nth-child(5):hover::after {
  content: "Kadyrmaev Timur";
}

.profile-img {
  width: 140px;
  height: auto;
  border-radius: 75px;
}

/* BANDIERE DELLA NAVBAR */
.flags {
  display: flex;
  gap: 10px;
  margin-left: 20px;
}

.flag {
  width: 40px;
  height: auto;
}

/* CARD - CHI SIAMO - PARTNERS */
.collaboratori-title {
  text-align: center;
  font-size: 50px;
  color: white;
  margin-top: 50px;
  font-family: "Cantata One", sans-serif;
  width: 100%;
  display: block;
}

.collaboratori-container {
  display: flex;
  width: 100%;
  justify-content: center;
  gap: 20px;
  margin-top: 30px;
  margin-bottom: 150px;
}

.collaboratore {
  width: 270px;
  height: auto;
  background-color: #b87fed;
  border-radius: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  padding: 15px;
}

.collaboratore-img {
  width: 65%;
  height: auto;
  object-fit: cover;
}

/* CSS DEL VIDEO */
.container-video {
  text-align: center;
  width: 80%;
  max-width: 800px;
  padding: 20px;
}

.video-frame {
  display: flex;
  position: relative;
  background: #2d2b3a;
  border-radius: 10px;
  padding: 40px 20px 250px 20px;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
  overflow: hidden;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  margin-top: 150px;
  margin-left: 55%;
  width: 90%;
  max-width: 500px;
  height: auto;
}

.video-frame {
  box-shadow: 0 10px 25px rgba(132, 0, 219, 0.8);
}

.video-frame:hover {
  transform: scale(1.05);
  box-shadow: 0 12px 30px rgba(132, 0, 219, 0.8);
}

.video-frame .label {
  position: absolute;
  bottom: 50px;
  left: 50%;
  transform: translateX(-50%);
  font-size: 45px;
  font-weight: bold;
  color: #ffffff;
  letter-spacing: 5px;
  text-align: center;
  font-family: "Roboto Slab", serif;
  text-shadow: 0 4px 10px rgba(0, 0, 0, 0.6);
  background: linear-gradient(90deg, #00b5e2, #66bfff, #1e3c72, #2a5298);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: glowing-text 3s infinite alternate;
}

@keyframes glowing-text {
  0% {
    text-shadow: 0 0 15px #00b5e2, 0 0 30px #66bfff, 0 0 60px #1e3c72,
      0 0 90px #3a5e88;
  }
  25% {
    text-shadow: 0 0 15px #ff0080, 0 0 30px #ff66b2, 0 0 60px #ff3385,
      0 0 90px #ff00b3;
  }
  50% {
    text-shadow: 0 0 15px #6a00ff, 0 0 30px #ad4eff, 0 0 60px #7a00d9,
      0 0 90px #340d76;
  }
  75% {
    text-shadow: 0 0 15px #e8b202, 0 0 30px #f7e800, 0 0 60px #ffbe00,
      0 0 90px #f5a500;
  }
  100% {
    text-shadow: 0 0 15px #00b5e2, 0 0 30px #66bfff, 0 0 60px #1e3c72,
      0 0 90px #3a5e88;
  }
}

@keyframes glowing-text {
  0% {
    text-shadow: 0 0 15px #00b5e2, 0 0 30px #66bfff, 0 0 60px #1e3c72,
      0 0 90px #3a5e88;
  }
  25% {
    text-shadow: 0 0 15px #ff0080, 0 0 30px #ff66b2, 0 0 60px #ff3385,
      0 0 90px #ff00b3;
  }
  50% {
    text-shadow: 0 0 15px #6a00ff, 0 0 30px #ad4eff, 0 0 60px #7a00d9,
      0 0 90px #340d76;
  }
  75% {
    text-shadow: 0 0 15px #6a00ff, 0 0 30px #ad4eff, 0 0 60px #7a00d9,
      0 0 90px #340d76;
  }
  100% {
    text-shadow: 0 0 15px #00b5e2, 0 0 30px #66bfff, 0 0 60px #1e3c72,
      0 0 90px #3a5e88;
  }
}

video {
  width: 100%;
  height: auto;
  border-radius: 5px;
  box-shadow: inset 0 0 15px rgba(0, 0, 0, 0.5);
}

/* TABELLA DEI CONTATTI */
table {
  width: 300px;
  margin-top: 150px;
  border-collapse: collapse;
  margin-left: 200px;
  margin-bottom: 10px;
}
th,
td {
  border: 1px solid white;
  padding: 8px;
  text-align: center;
  color: white;
}
.sfondo-tab {
  background-color: #b87fed;
  color: #212529;
}

/* MAPPA - DOVE SIAMO */
.mappa-container {
  display: flex;
  align-items: center;
  gap: 20%;
}

.mappa-box {
  text-align: center;
  margin-top: 150px;
}

.mappa-box h2 {
  color: #b87fed;
  font-size: 24px;
  margin-bottom: 10px;
  font-family: "cantata one";
}

.mappa-box iframe {
  width: 600px;
  height: 400px;
  border: 5px solid #b87fed;
  border-radius: 15px;
}

/* SPIEGAZIONE COMPONENTI PC */
.spigazionePC-main {
  padding: 20px;
  margin: 0 10%;
  margin-top: 11%;
  background-color: #c89eee;
  border-radius: 8px;
  font-family: "Cantata one";
}
.spigazionePC-h2 {
  color: #212529;
}
.spigazionePC-p {
  margin-bottom: 20px;
}
.spigazionePC-type-section {
  margin-bottom: 30px;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 20px;
}
.spigazionePC-type-section ul {
  margin-top: 10px;
  list-style-type: none;
  padding-left: 20px;
}
.spigazionePC-type-section li {
  margin: 5px 0;
  font-family: "Cantata one";
}

.spiegazionePC-text {
  flex: 1;
  font-family: "Cantata one";
}

.spigazionePC-img-right {
  max-width: 40%;
  height: auto;
  border-radius: 8px;
}

@media (max-width: 768px) {
  .spigazionePC-type-section {
    flex-direction: column;
    align-items: center;
  }

  .spigazionePC-img-right {
    max-width: 80%;
    margin-top: 20px;
  }
}

/* SPIEGAZIONE SISTEMI */
.dispositiviRete-main {
  padding: 20px;
  margin: 0 10%;
  margin-top: 10%;
  background-color: #c89eee;
  border-radius: 8px;
  font-family: "Cantata one";
}

.dispositiviRete-h2 {
  color: #212529;
  font-size: 24px;
  margin: 0;
}

.dispositiviRete-p {
  margin-top: 20px;
  font-size: 16px;
}

.dispositiviRete-type-section {
  display: flex;
  align-items: center;
  gap: 15px;
}

.dispositiviRete-img-right {
  max-width: 15%;
  height: auto;
  border-radius: 8px;
}

@media (max-width: 768px) {
  .dispositiviRete-type-section {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .dispositiviRete-img-right {
    max-width: 60%;
    margin-top: 20px;
  }
}

/*CONFRONTO SCHEDE MADRI*/
.tableMB {
  height: 100%;
  width: 80%;
  margin: auto;
  border-collapse: collapse;
}

.thMB,
.tdMB {
  border: 1px solid black;
  padding: 8px;
  text-align: center;
}

.trheaderMB {
  height: 100px;
  background-color: #f0f0f0;
}

.tdMB:hover {
  transform: skewX(20deg);
}

.thMB img {
  display: block;
  margin: 0 auto;
  color: black;
}
.titolo_MB {
  text-align: center;
  margin: 30px;
  margin-top: 10%;
  color: white;
}
.centroMB {
  max-width: 40%px;
  margin: auto;
  margin-top: 5%;
  text-align: center;
  margin-bottom: 5%;
}
